    import tkinter as tk
    from tkinter import ttk
    import paho.mqtt.client as mqtt

    # Create a vertical progressbar
    root = tk.Tk()
    root.geometry('100x800')
    progressbar = ttk.Progressbar(root, orient='horizontal', length=750, mode='determinate', maximum=50)
    progressbar.pack()
    progressbar2 = ttk.Progressbar(root, orient='horizontal', length=750, mode='determinate', maximum=50)
    progressbar2.pack()
    i=0
    x=0
    y=0


    # MQTT callback functions
    def on_connect(client, userdata, flags, rc):
        print("Connected with result code "+str(rc))
        client.subscribe("fabacademy")  # replace 'your_topic' with your actual topic

    def on_message(client, userdata, msg):
        global i, x, y
        value = float(msg.payload.decode())  # decode the payload from bytes to string and convert to int
        if i==0:
            x=value
            i+=1
            progressbar['value'] = x
        else:
            y=value
            progressbar2['value'] = y  # update the progress bar with the received value
            i-=1
        

    # Set up MQTT client
    client = mqtt.Client()
    client.on_connect = on_connect
    client.on_message = on_message

    # Connect to the broker
    client.username_pw_set(username="fabacademy", password="fabacademy")
    client.connect("mqtt.fabcloud.org", 1883)


    # Start the MQTT client and Tkinter mainloops
    client.loop_start()
    root.mainloop()

