from machine import Pin, I2C, ADC
import time
import network
from umqtt.simple import MQTTClient
from machine import ADC

nomqtt=False
last_val=0
#import numpy as np

wlan=network.WLAN(network.STA_IF)
wlan.active(True)

try:
    wlan.connect('CLSLabs', 'clshawks')
    print(wlan.isconnected())
except:
    print("Problem connecting to the Wi-Fi")
    nomqtt=True
    
if nomqtt==False:
    try:
        client= MQTTClient('davidvaughn', 'mqtt.fabcloud.org', port=1883, user='fabacademy', password='fabacademy', keepalive=7200)
        client.connect()
        print("Connected to MQTT broker")
    except:
        print("Problem connecting to MQTT")
adc = ADC(26)

def pot():
    global last_val
    total_value=0
    for i in range(1000):
        value = adc.read_u16()
        voltage = value*(5/65535)
        total_value+=voltage
    total_value/=1000
    #val=convert_y_to_x(total_value)
    print(total_value)
    #if total_value>.05 and abs(last_val-total_value)>.3:
        #client.publish('fabacademy',  str(total_value))
        #last_val=total_value
        


#def convert_y_to_x(y_values):
    #x_values = np.log(5.0037) / -0.0190
    #return x_values
    
while True:
    pot()
    time.sleep(.2)
    


